Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.est
Class RevocationChallenge

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.est.CSRChallengeAttribute
              org.bouncycastle.asn1.est.RevocationChallenge

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevocationChallenge
extends org.bouncycastle.asn1.est.CSRChallengeAttribute

RFC 7894 §3.2 attribute: an unambiguous replacement for the overloaded PKCS#9 attribute when its semantic is the original RFC 2985 certificate-revocation password. revocationChallenge ATTRIBUTE ::= { WITH SYNTAX DirectoryString {ub-aa-revocationChallenge} EQUALITY MATCHING RULE caseExactMatch SINGLE VALUE TRUE ID id-aa-revocationChallenge } ub-aa-revocationChallenge INTEGER ::= 255 Identified by `PKCSObjectIdentifiers.id_aa_revocationChallenge`.

Constructor Summary
`RevocationChallenge(DirectoryString value)`
`RevocationChallenge(java.lang.String value)`

Method Summary
`static RevocationChallenge` | `fromAttribute(Attribute attribute)` Extract the value carried by a PKCS#9 `Attribute`.
`protected ASN1ObjectIdentifier` | `getAttrType()` The attribute-type OID for this RFC 7894 attribute.
`static RevocationChallenge` | `getInstance(java.lang.Object obj)`
`java.lang.String` | `getString()` Return the value as a Java `String`, decoded from whichever underlying encoding was used.
`DirectoryString` | `getValue()` Return the value as a `DirectoryString`.
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`Attribute` | `toAttribute()` Wrap this value in a PKCS#9 `Attribute` carrying the RFC 7894 OID, ready for inclusion in a 's set (or in a CSR-Attributes response).

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevocationChallenge

    public RevocationChallenge(java.lang.String value)

### RevocationChallenge

    public RevocationChallenge(DirectoryString value)

Method Detail

### getInstance

    public static RevocationChallenge getInstance(java.lang.Object obj)

### fromAttribute

    public static RevocationChallenge fromAttribute(Attribute attribute)

  Extract the value carried by a PKCS#9 `Attribute`.

  Throws:
    `java.lang.IllegalArgumentException` - if the attribute is not `PKCSObjectIdentifiers.id_aa_revocationChallenge` or does not carry exactly one value.

### getAttrType

    protected ASN1ObjectIdentifier getAttrType()

  Description copied from class: `org.bouncycastle.asn1.est.CSRChallengeAttribute`
  The attribute-type OID for this RFC 7894 attribute. Used by `CSRChallengeAttribute.toAttribute()` to wrap the value in a PKCS#9 `Attribute`.

### getValue

    public DirectoryString getValue()

  Return the value as a `DirectoryString`.

### getString

    public java.lang.String getString()

  Return the value as a Java `String`, decoded from whichever underlying encoding was used.

### toAttribute

    public Attribute toAttribute()

  Wrap this value in a PKCS#9 `Attribute` carrying the RFC 7894 OID, ready for inclusion in a 's set (or in a CSR-Attributes response).

  Returns:
    an of the form )}.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD